import { FirstDataRenderedEvent, GridApi, GridOptions } from 'ag-grid-community';
export declare class Table {
    gridOptions: GridOptions;
    gridApi: GridApi;
    currentPage: number;
    cols: any;
    rows: any;
    buttonRendererOptions?: {
        onButtonClick?: (params: any, event: Event) => void;
    };
    rowData: any[];
    colData: any[];
    filterOptions: {
        [key: string]: string[];
    };
    currentFilters: {};
    uniqueKey: string;
    allRowData: any[];
    rowHeight: string;
    tableHeight: string;
    pagination: boolean;
    paginationItemsPerPage: string;
    paginationPageSize: number;
    filterOrientation: string;
    headline: string;
    showSidebarFilters: boolean;
    matchingResultsCount: number;
    variant: string;
    serverSidePagination: boolean;
    serverPageChangeHandler?: (params: {
        page: number;
        pageSize: number;
    }) => Promise<{
        rows: any[];
        total: number;
    }>;
    showLoading: boolean;
    private container;
    host: HTMLElement;
    originalRowData: any[];
    private internalItemsPerPage;
    rowsChanged(_newVal: any): void;
    colsChanged(_newVal: any): void;
    handleResultsPerPageChange(e: CustomEvent<string>): void;
    handleChipChange(event: CustomEvent<{
        previousSelection: Array<any>;
        currentSelection: Array<any>;
        name: string;
    }>): void;
    onButtonRendererOptionsChanged(): void;
    private parseArrayInput;
    toggleSidebarFilters(): void;
    updateFilterOptions(): void;
    handleSidebarFilterChange(event: CustomEvent): void;
    handleTopbarFilterChange(event: CustomEvent): void;
    applyAllFilters(data: any, filters: any): any;
    updateTableView(): Promise<void>;
    clearAllFilters(): void;
    onBtShowLoading(): Promise<void>;
    setPaginationItemsPerPage(): void;
    componentWillLoad(): void;
    componentDidRender(): void;
    componentDidLoad(): Promise<void>;
    componentWillUnmount(): void;
    handlePageChange(event: any): Promise<void>;
    isJSONParseable(str: any): boolean;
    getRowData(): any[];
    getColData(): any[];
    onFirstDataRendered(params: FirstDataRenderedEvent): void;
    handleResetButtonClick(): void;
    disconnectedCallback(): void;
    getTableClassNames(): string;
    render(): any;
    hasButtonCol(): boolean;
    onDragOver(event: any): void;
    onDrop(event: any): void;
}
